## org.apache.mahout.df.mapreduce.inmem
Class InMemBuilder

    java.lang.Object
      org.apache.mahout.df.mapreduce.Builder
          org.apache.mahout.df.mapreduce.inmem.InMemBuilder

    public class InMemBuilder

extends Builder

MapReduce implementation where each mapper loads a full copy of the data in-memory. The forest trees are splitted across all the mappers

Constructor Summary
`InMemBuilder(TreeBuilder treeBuilder, org.apache.hadoop.fs.Path dataPath, org.apache.hadoop.fs.Path datasetPath)`
`InMemBuilder(TreeBuilder treeBuilder, org.apache.hadoop.fs.Path dataPath, org.apache.hadoop.fs.Path datasetPath, java.lang.Long seed, org.apache.hadoop.conf.Configuration conf)`

Method Summary
`protected void` `configureJob(org.apache.hadoop.mapreduce.Job job, int nbTrees, boolean oobEstimate)` Used by the inheriting classes to configure the job
`protected DecisionForest` `parseOutput(org.apache.hadoop.mapreduce.Job job, PredictionCallback callback)` Parse the output files to extract the trees and pass the predictions to the callback

Methods inherited from class org.apache.mahout.df.mapreduce.Builder
`build, getDataPath, getDatasetPath, getDistributedCacheFile, getNbTrees, getNumMaps, getOutputPath, getRandomSeed, getSeed, getTreeBuilder, getTreeBuilder, isOobEstimate, isOutput, loadDataset, runJob, setNbTrees, setOutputDirName, sortSplits`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InMemBuilder

    public InMemBuilder(TreeBuilder treeBuilder,
                        org.apache.hadoop.fs.Path dataPath,
                        org.apache.hadoop.fs.Path datasetPath,
                        java.lang.Long seed,
                        org.apache.hadoop.conf.Configuration conf)

### InMemBuilder

    public InMemBuilder(TreeBuilder treeBuilder,
                        org.apache.hadoop.fs.Path dataPath,
                        org.apache.hadoop.fs.Path datasetPath)

Method Detail

### configureJob

    protected void configureJob(org.apache.hadoop.mapreduce.Job job,
                                int nbTrees,
                                boolean oobEstimate)
                         throws java.io.IOException

  Description copied from class: `Builder`
  Used by the inheriting classes to configure the job

  Specified by:
    `configureJob` in class `Builder`
  Parameters:
    `job` - Hadoop's Job
    `nbTrees` - number of trees to grow
    `oobEstimate` - true, if oob error should be estimated
  Throws:
    `java.io.IOException` - if anything goes wrong while configuring the job

### parseOutput

    protected DecisionForest parseOutput(org.apache.hadoop.mapreduce.Job job,
                                         PredictionCallback callback)
                                  throws java.io.IOException

  Description copied from class: `Builder`
  Parse the output files to extract the trees and pass the predictions to the callback

  Specified by:
    `parseOutput` in class `Builder`
  Parameters:
    `job` - Hadoop's job
    `callback` - can be null
  Returns:
    Built DecisionForest
  Throws:
    `java.io.IOException` - if anything goes wrong while parsing the output

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.